Bug 1419332 (deepin-shortcut-viewer) - Review Request: deepin-shortcut-viewer - deepin shortcut viewer
Summary: Review Request: deepin-shortcut-viewer - deepin shortcut viewer
Keywords:
Status: CLOSED RAWHIDE
Alias: deepin-shortcut-viewer
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: deepin-tool-kit
Blocks: DeepinDEPackageReview deepin-terminal
TreeView+ depends on / blocked
 
Reported: 2017-02-05 13:50 UTC by sensor.wen
Modified: 2018-01-01 01:46 UTC (History)
3 users (show)

Fixed In Version: deepin-shortcut-viewer-1.3.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-04 14:30:21 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-07-24 13:54:50 UTC
+ package name is OK
+ license is acceptable for Fedora (GPLv3)
+ license is specified correctly
+ builds and installs OK
+ Requires/Provides/BuildRequires look OK
+ no scriptlets necessary
+ build flags are honoured
+ rpmlint shows nothing useful
- no docs and no license: there's a LICENSE file, and some documentation files, not sure if those are useful. Please add least add %license LICENSE.

CuteLogger is bundled. It is not packaged for Fedora, so according to the guidelines [https://fedoraproject.org/wiki/Bundled_Software_policy], a tag should be added:
  Provides: bundled(CuteLogger)
If you know the version, also add "= <version>", but from a quick look at the sources, I don't see any version string there.

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-07-25 12:31:07 UTC
Look good now. Package is APPROVED. When uploading please do one more thing: update the %description to say a bit more more, like "This program is used to display ... by ... when ...".

Comment 4 Gwyn Ciesla 2017-07-31 12:15:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/deepin-shortcut-viewer


Note You need to log in before you can comment on or make changes to this bug.